Billing Info Records
Get Billing Info Records for a Billing Account
Returns a paginated list of Billing Info Records for the specified Billing Account, filtered by date range.
To retrieve records for a specific account, you must first identify the correct Billing Account ID. Use Get Billing Accounts to list all available accounts and locate the target ID required for this request.
GET
/
api
/
billing-accounts
/
{baId}
/
billing-info-records
Get Billing Info Records for a Billing Account
curl --request GET \
--url https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/billing-info-records \
--header 'Authorization: Bearer <token>'import requests
url = "https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/billing-info-records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/billing-info-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"infoId": 123,
"infoRecordId": 123,
"recordType": "<string>",
"recordSubType": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"costCenter": "<string>",
"currency": {
"currencyCode": "<string>",
"displayName": "<string>",
"symbol": "<string>",
"defaultFractionDigits": 123,
"numericCode": 123,
"numericCodeAsString": "<string>"
},
"vat": 123,
"amountExcludingVat": 123,
"amountIncludingVat": 123,
"parking": {
"licensePlate": "<string>",
"id": 123,
"areaNumber": "<string>",
"areaName": "<string>",
"areaCity": "<string>",
"subType": "<string>",
"areaId": 123,
"operatorName": "<string>",
"operatorVatNumber": "<string>",
"countryCode": "<string>",
"note": "<string>",
"currency": "<string>"
},
"user": {
"id": 123,
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>"
}
}
],
"page": {
"size": 123,
"number": 123,
"totalElements": 123,
"totalPages": 123
}
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}Authorizations
You can get the JWT from the Login endpoint
Path Parameters
Billing account ID
Query Parameters
Format: YYYY-MM-DD
Format: YYYY-MM-DD
Zero-based page index (0..N)
The size of the page to be returned
Required range:
x <= 1000⌘I
Get Billing Info Records for a Billing Account
